Retail Express API 2.1

orderfulfilments

Searches Order Fulfilments by parameters

Searches Order Fulfilments by parameters

get
https://api.retailexpress.com.au/v2/orderfulfilments

Query Parameters

idstring | null

Fulfilment Id or Collection of Fulfilment Ids (comma separated)
Example: 1,2,3

order_idstring | null

Order Id or Collection of Order Ids (comma separated)
Example: 1,2,3

order_numberstring | null

Order Number or Collection of Order Numbers (comma separated)
Example: 1,2,3

order_item_idstring | null

Order Item Id or Collection of Order Item Ids (comma separated)
Example: 1,2,3

fulfil_outletstring | null

Fulfilment Outlet or Collection of Fulfilment Outlets (comma separated)
Example: 1,2,3

created_sincestring | null(date-time)

Created since

order_bystring | null

Order by.

Available field name values: id, order_id, order_number, order_item_id, fulfil_outlet, created_on

Available direction values: asc, desc.

Example: order_id asc, order_number desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Fulfilments data

ExtendedFulfilment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orderfulfilments
 
application/json

Gets specific Order Fulfilment

Gets specific Order Fulfilment

get
https://api.retailexpress.com.au/v2/orderfulfilments/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Fulfilment

ExtendedFulfilment

Fulfilment model

* Additional properties are NOT allowed.
idinteger(int32)

Fulfilment id

order_item_idinteger(int32)

Order Item Id

quantity_fulfiledinteger(int32)

Fulfiled quantity of products

fulfil_outletobject

Order Fulfilment Outlet Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

order_idinteger | null(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderfulfilments/{id}
 
application/json

orderitems

Searches Order Items by parameters

Searches Order Items by parameters

get
https://api.retailexpress.com.au/v2/orderitems

Query Parameters

idstring | null

Order Item Id or Collection of Order Item Ids (comma separated)
Example: 1,2,3

order_idstring | null

Order Id or Collection of Order Ids (comma separated)
Example: 1,2,3

order_numberstring | null

Order Number or Collection of Order Numbers (comma separated)
Example: 1,2,3

order_item_typestring | null

Order Item Type or Collection of Order Item Types (comma separated)
Example: 1,2,3

fulfil_outletstring | null

Fulfilment Outlet or Collection of Fulfilment Outlets (comma separated)
Example: 1,2,3

source_outletstring | null

Source Outlet or Collection of Source Outlets (comma separated)
Example: 1,2,3

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

order_bystring | null

Order by.

Available field name values: id, order_id, order_number, order_item_type, fulfil_outlet, source_outlet, created_on, modified_on

Available direction values: asc, desc.

Example: order_id asc, order_number desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Items data

ExtendedOrderItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orderitems
 
application/json